package Lento::Client;
use strict;
use Lento::List;

sub new ($$$) {
    my $class = shift;
    my $self = {};

    $self->{sysid} = shift;
    $self->{replist} = new Lento::List;

    return bless $self, $class;
}

sub sysid ($) {
    my $self = shift;
    return $self->{sysid};
}

sub printme ($) {
    my $self = shift;

    my $msg = "[Client ID: $self->{sysid}, replicating fsets: [ ";
    foreach my $v (@{$self->{repfsets}}) {
	    $msg .= "$v ";
    }
    return $msg . "]]\n";
}

1;
