package Lento::Serverdb;
use Exporter;
@ISA = qw(Exporter Lento::Debuggable);
use Lento::Debuggable;
use Lento::Server;

@EXPORT = qw($mysysid);
$Lento::Serverdb::level = -1000;


sub find_by_name ($$) {
    my $self = shift;
    my $name = shift;

    return $self->{srv_by_name}->{$name};
}

sub add($$) {
    my $self = shift;
    my $server = shift;

    DEBUG "Adding server \"$server->{name}\"\n";
    $self->{srv_by_name}->{$server->{name}} = $server;

    return;
}


1;

__END__
